TellBrokerQuery
Keywords: uk.ac.ic.doc.automed.p2p.messages.applicationlayer.TellBrokerQuery class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.p2p.messages.applicationlayer
Class TellBrokerQuery

    java.lang.Object
      uk.ac.ic.doc.automed.p2p.messages.applicationlayer.TellBrokerQuery

    public class TellBrokerQuery

extends java.lang.Object

Constructor Summary
`TellBrokerQuery()`
`TellBrokerQuery(AbstractMessage message)`
`TellBrokerQuery(java.util.List result, java.util.List peers)`

Method Summary
`void` | `addResult(java.lang.String result, java.lang.String peerName)`
`void` | `addResults(java.util.List result, java.util.List peers)`
`void` | `appendQuery(TellBrokerQuery appendedQuery)`
`AbstractMessage` | `buildAbstractMessage()`
`java.util.List` | `getPeers()`
`java.util.List` | `getResult()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TellBrokerQuery

    public TellBrokerQuery()

### TellBrokerQuery

    public TellBrokerQuery(java.util.List result,
                           java.util.List peers)

### TellBrokerQuery

    public TellBrokerQuery(AbstractMessage message)
                    throws MalformedMessageException

Throws:
  `MalformedMessageException`

Method Detail

### addResult

    public void addResult(java.lang.String result,
                          java.lang.String peerName)

### addResults

    public void addResults(java.util.List result,
                           java.util.List peers)

### buildAbstractMessage

    public AbstractMessage buildAbstractMessage()

### getPeers

    public java.util.List getPeers()

### getResult

    public java.util.List getResult()

### appendQuery

    public void appendQuery(TellBrokerQuery appendedQuery)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD